<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="formUuid">
        <gri:popupPanel id="uuid_modalpanel_editor">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditUuid']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#uuid_modalpanel_editor').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#uuid_modalpanel_editor').modal('hide');"
                                   render="uuid_content"/>
            </f:facet>
            <s:decorate id="uuid_view">
                <a4j:region>
                    <gri:fieldHorizontalInline id="formuuid" label="#{messages['net.ihe.gazelle.xdstar.Uuid']}">
                        <h:inputText value="#{selectedRO.uuid}" styleClass="form-control gzl-form-control"/>
                    </gri:fieldHorizontalInline>
                </a4j:region>
            </s:decorate>
        </gri:popupPanel>
    </h:form>
    <h:form id="formName">
        <gri:popupPanel id="name_modalpanel_editor">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditName']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#name_modalpanel_editor').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#name_modalpanel_editor').modal('hide');"
                                   render="name_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate id="name_view">
                    <gri:fieldHorizontalInline id="formuuid" label="#{messages['net.ihe.gazelle.xdstar.Name_2']}">
                        <h:inputText value="#{selectedRO.name}" styleClass="form-control"/>
                    </gri:fieldHorizontalInline>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="fromAttributeName">
        <gri:popupPanel id="displayAttributeName_modalpanel_editor">
            <f:facet name="header">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.EditDisplayAttributeName']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#displayAttributeName_modalpanel_editor').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#displayAttributeName_modalpanel_editor').modal('hide');"
                                   render="displayAttributeName_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate id="displayAttributeName_view">
                    <gri:fieldHorizontalInline id="formdisplayAttributeName" label="#{messages['net.ihe.gazelle.xdstar.DisplayAttributeName']}">
                        <h:inputText value="#{selectedRO.displayAttributeName}" styleClass="form-control"/>
                    </gri:fieldHorizontalInline>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="formValue">
        <gri:popupPanel id="value_modalpanel_editor">
            <f:facet name="header">
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.EditValue']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#value_modalpanel_editor').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#value_modalpanel_editor').modal('hide');"
                                   render="value_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate id="formvalue">
                    <gri:fieldHorizontalInline label="#{messages['net.ihe.gazelle.xdstar.Value']}">
                        <h:inputText value="#{selectedRO.value}" styleClass="form-control"/>
                    </gri:fieldHorizontalInline>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="formClassificationAdd">
        <gri:popupPanel id="classification_add" styleClass="modal-xl">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddClassification']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#classification_add').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.addClassification(ROManager.selectedClassification,ROManager.selectedCardinalityEnum)}"
                                   onclick="jq162('#classification_add').modal('hide');"
                                   render="classification_content"/>
            </f:facet>
            <a4j:region>
                #{ROManager.setSelectedClassification(null)}
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ClassificationMetadata']}</ui:define>
                    <h:selectOneMenu id="selectCar" styleClass="form-control gzl-form-control gzl-select-text"
                                     value="#{ROManager.selectedClassification}">
                        <s:selectItems
                                value="#{metadataEditorManager.getAvailableClassifications()}"
                                var="cl"
                                noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                label="#{cl.displayAttributeName}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Cardinality']}</ui:define>
                    <h:selectOneMenu id="selectCarinality" styleClass="form-control gzl-form-control gzl-select-text"
                                     value="#{ROManager.selectedCardinalityEnum}">
                        <s:selectItems
                                value="#{metadataEditorManager.getAvailableCardinalityString()}"
                                var="cl"
                                noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                label="#{cl}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="formExtAdd">
        <gri:popupPanel id="ext_add">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddExternalIdentifier']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#ext_add').modal('hide')" execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.addExt_identifier(ROManager.selectedExt,ROManager.selectedCardinalityEnum)}"
                                   onclick="jq162('#ext_add').modal('hide');"
                                   render="ext_identifier_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    #{ROManager.setSelectedExt(null)}
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ClassificationMetadata']}</ui:define>
                        <h:selectOneMenu id="selectCar" value="#{ROManager.selectedExt}" styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableExts()}" var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.displayAttributeName}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Cardinality']}</ui:define>
                        <h:selectOneMenu id="selectCardinality" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{ROManager.selectedCardinalityEnum}">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableCardinalityString()}"
                                    var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="formUsagesAdd">
        <gri:popupPanel id="usages_add">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddUsage']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#usages_add').modal('hide')" execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.usages.add(ROManager.selectedUsage)}"
                                   onclick="jq162('#usages_add').modal('hide');"
                                   render="usages_content"/>
            </f:facet>
            <a4j:region>
                <s:decorate>
                    #{ROManager.setSelectedUsage(null)}
                    <s:decorate template="/layout/form/_edit.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Usage']}</ui:define>
                        <h:selectOneMenu id="selectCar" value="#{ROManager.selectedUsage}" styleClass="form-control gzl-form-control gzl-select-text">
                            <s:selectItems
                                    value="#{metadataEditorManager.getAvailableUsages()}" var="cl"
                                    noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.SelectAValue']}"
                                    label="#{cl.affinity.keyword} =&gt; #{cl.transaction.keyword}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>
    <h:form id="formvalueset">
        <gri:popupPanel id="valueset_modalpanel_editor">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.EditValueset_2']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#valueset_modalpanel_editor').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   onclick="jq162('#valueset_modalpanel_editor').modal('hide');"
                                   render="valueset_content"/>
            </f:facet>
            <s:decorate id="valueset_view">
                <s:decorate template="/layout/form/_edit.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ValueSet']}</ui:define>
                    <h:inputText value="#{selectedRO.valueset}" styleClass="form-control"/>
                </s:decorate>
            </s:decorate>
        </gri:popupPanel>
    </h:form>
    <h:form id="formSlotEdit">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="slot_edit"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.EditSlot']}</ui:define>
            <a4j:region>
                <s:decorate id="slot_edit_form" ajaxSubmit="true">
                    <ui:include src="slotAttr.xhtml">
                        <ui:param name="slot" value="#{ROManager.selectedSlotDescriber.slotMetadata}"/>
                    </ui:include>
                </s:decorate>
            </a4j:region>
            <ui:define name="popup_footer">
                <a4j:commandButton id="canceleditslot" styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#slot_edit').modal('hide')" execute="@this"/>
                <a4j:commandButton id="saveeditslot" styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{ROManager.saveSelectedSlot(ROManager.selectedSlotDescriber.slotMetadata, ROManager.selectedCardinalityEnum)}"
                                   onclick="jq162('#slot_edit').modal('hide');"
                                   render="globalpanel"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="formSlotAdd">
        <gri:popupPanel id="slot_add">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AddSlot']}"/>
            </f:facet>
            <f:facet name="footer">
                <a4j:commandButton styleClass="gzl-btn"
                                   value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                   onclick="jq162('#slot_add').modal('hide')" execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{selectedRO.addSlot(ROManager.selectedSlot,ROManager.selectedCardinalityEnum)}"
                                   onclick="jq162('#slot_add').modal('hide');"
                                   render="globalpanel"/>
            </f:facet>
            <a4j:region>
                <s:decorate id="slot_add_form" ajaxSubmit="true">
                    <ui:include src="slotAttr.xhtml">
                        <ui:param name="slot" value="#{ROManager.selectedSlot}"/>
                    </ui:include>
                </s:decorate>
            </a4j:region>
        </gri:popupPanel>
    </h:form>


</ui:composition>